edu.northwestern.at.utils

## Class NullOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - edu.northwestern.at.utils.NullOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

      public class NullOutputStream
      extends java.io.OutputStream

  A null output stream which ignores all output written to it.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullOutputStream()` Construct NullOutputStream.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] b)` Writes (actually ignores) array of bytes to output stream.
    `void` | `write(byte[] b, int off, int len)` Write (actually, ignore) bytes from byte array to output stream.
    `void` | `write(int i)` Write (actually, ignore) integer value to output stream.

    - ### Methods inherited from class java.io.OutputStream

      `close, flush`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NullOutputStream

          public NullOutputStream()

      Construct NullOutputStream.

  - ### Method Detail

    - #### write

          public void write(byte[] b)
                     throws java.io.IOException

      Writes (actually ignores) array of bytes to output stream.
      Overrides:
        `write` in class `java.io.OutputStream`
      Parameters:
        `b` - The bytes to output.
      Throws:
        `java.io.IOException` - If there is an I/O error.

        Nothing is actually written.

    - #### write

          public void write(byte[] b,
                   int off,
                   int len)
                     throws java.io.IOException

      Write (actually, ignore) bytes from byte array to output stream.
      Overrides:
        `write` in class `java.io.OutputStream`
      Parameters:
        `b` - The bytes to output.
        `off` - Starting offset in the byte array.
        `len` - Number of bytes to write.
      Throws:
        `java.io.IOException` - If there is an I/O error.

        Nothing is actually written.

    - #### write

          public void write(int i)
                     throws java.io.IOException

      Write (actually, ignore) integer value to output stream.
      Specified by:
        `write` in class `java.io.OutputStream`
      Parameters:
        `i` - Value to write.
      Throws:
        `java.io.IOException` - If there is an I/O error.

        Nothing is actually written.